import 'vue'

declare module 'vue' {
  export interface GlobalComponents {
    // Add any global components if needed
  }
}

declare global {
  namespace JSX {
    interface Element extends VNode {}
    interface ElementClass extends Vue {}
    interface IntrinsicElements {
      [elem: string]: any
    }
  }
}
